import { createRouter, createWebHistory } from 'vue-router'
import Start from '../views/Start.vue'

const routes = [
  {
    path: '/',
    name: 'Start',
    component: Start,
  },
  {
    path: '/credits',
    name: 'Credits',
    // route level code-splitting
    // this generates a separate chunk (credits.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () =>
      import(/* webpackChunkName: "credits" */ '../views/Credits.vue'),
  },
  {
    path: '/collect',
    name: 'Collect',
    // route level code-splitting
    // this generates a separate chunk (credits.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () =>
      import(/* webpackChunkName: "collect" */ '../views/Collect.vue'),
  },

  {
    path: '/cards',
    name: 'Cards',
    // route level code-splitting
    // this generates a separate chunk (credits.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () =>
      import(/* webpackChunkName: "cards" */ '../views/Cards.vue'),
  },
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
})

export default router
